;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; WWDSLCFG.INI
;;
;; Copyright 2000 U.S. Robotics, Corp.
;;
;; Contains custimization parameters for the U.S. Robotics ADSL Setup application.
;; This file must reside in the Windows Directory.
;; $Header: /Installer/Setup/common/wwdslcfg.ini 59    5/31/01 3:34p Bkat $
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

[SystemInfo]
Version=1.14.1

; Location of registry key where setup information will be stored
SetupSoftwareKey=USRobotics\Adsl

; Location of installed program files, if any, on the windows drive
ProgramFilesDir=\Program Files\USRobotics\Adsl

Manufacturer=U.S. Robotics

; Name in start menu and control panel add/remove 
ProductName=U.S. Robotics USB ADSL Modem

; Caption in main installer window
MainCaption=U.S. Robotics USB ADSL Modem

; Title of main installer window
BackgroundTitle=U.S. Robotics USB ADSL Modem

; Font size of BackgroundTitle
BackgroundTitleSize=24

; Color of BackgroundTitle font
BackgroundTitleClrRed=255
BackgroundTitleClrGreen=255
BackgroundTitleClrBlue=255

; Color of installer window background
BackgroundClrRed=0
BackgroundClrGreen=128
BackgroundClrBlue=128

; Specifies if installer background should have gradient effect (1 if gradient,
; 0 if solid)
BackgroundGradient=1

; PCI or USB
HardwareType=USB

; Vendor and Device ID (matches ID's programmed into device).  Separate
; multiple values by commas to support multiple device codes
; Must prepend class (USB\ or PCI\) 
UsbCtrlrId=USB\VID_0baf&PID_00e6
ModemId=USB\VID_0baf&PID_00e7

; Vendor ID transmitted in EOC status request (in hex)
EocId=39

; If 1, welcome screen will be skipped.  If 0, it will be shown.
SkipWelcomeScreen=0

; If 1, license agreement screen will be skipped.  If 0, it will be shown,
; and will use the license.txt 
SkipLicenseScreen=1

; If 1, the ISP selection screen will be skipped, and if 0, it will be shown.
; If skipped, the parameters will be obtained from the Default section.
SkipIspSelectionScreen=0

; If 1, the summary screen will be skipped, and if 0, it will be shown.
SkipSummaryScreen=0

; If 1, the finished screen will be skipped, and if 0, it will be shown.
SkipFinishedScreen=0

; This string must match the caption of the control panel window
CplWindowName=USR DSL Modem

; Allow the user to enter control panel's debug mode (1 is enable, 0 is disable)
AllowCplDebugMode=1

; Uses installation method where the first reboot is avoided on win9x.  This
; method changes the inf file which might have certification implications.
; Win2K never needs a reboot so this flag is ignored.
SkipFirstReboot=1

; The name of a file in the ProgramFiles directory that will get spawned
; when the Support button is pressed.  If this feature is not needed, 
; erase everything after the equal sign and remove the support button
; from the language resource file.
SupportFile=USB ADSL Modem User Guide.htm
SupportParam=

; The following values will specify which files get spawned when the user
; clicks the various help buttons.  The values that end in "File" specify
; the name of the file that will get spawned.  These files must reside in
; the ProgramFiles directory.  The values that end in "Params" will 
; pass the specified string as an argument to the file.  To disable this
; feature, erase everything after the equal signs, and remove the help
; button from maintenance window in the resource file.
; 
; In the following, HelpMaintenance is for the maintenance dialog box
; that is shown when the start menu icon is clicked.  IspSelect is for
; the ISP selection screen.  DriverType is for the driver selection screen.
; Settings is for the communication settings dialog.

HelpMaintenanceFile=USB ADSL Modem User Guide.htm
HelpMaintenanceParam=
HelpIspSelectFile=
HelpIspSelectParam=
HelpDriverTypeFile=
HelpDriverTypeParam=
HelpSettingsFile=
HelpSettingsParam=

; If set to 1, enables the maintenance dialog box after installation.  This
; dialog contains the update, remove, settings, support, and help buttons.
; If set to 0, this box will never be shown.  Instead, icons in the start
; menu will be provided to directly launch the update, remove, and settings
; functions.
EnableMaintenanceDlg=1

; These parameters specify the name of the icons in the start menu.  These
; are only applicable if EnableMaintenanceDlg is 1.  To disable a particular
; icon, leave the value for the parameter blank.
IconNameRemove=Uninstall
IconNameSettings=Settings

; The minimum VCI value that the configuration dialog box will accept
MinVci=32
MaxVci=65535

; Specifies if the "Other Isp" item will be added to the ISP list
ShowOtherIspChoice = 0
; If the "Other Isp" item is shown in the ISP list, this specifies if it
; should be placed at the beginning or the end of the list
OtherIspAtEnd = 0

EnableHardDriveDma = 0

; A comma-deliminated list of file names.  Each file will be removed
; from the windows system directory during uninstall.  On 2k these files
; will also be removed during reboot in case they were locked by the OS.
RemoveFromWinSysDir=

; This value determines the reboot behavior in Win95.  Possible values are:
; SHUTDOWN - System prompts for a shutdown (recommended)
; REBOOT - System prompts for a reboot
; REBOOTNOPROMPT - System reboots without asking (not recommended)
Win95RebootMode = SHUTDOWN

; If set to 1, this flag will reboot the system without showing
; a prompt first (during installation).  Prompts to shutdown are still shown.
SuppressRebootPrompts = 0 

; This flag determines if the company logo in the control panel is transparent.
; If 1, it is transparent and the upper-left-hand corner pixel will be used
; as the transparent color.  If 0, the company logo will be solid.
MakeCplLogoTransparent = 0

; The VPI/VCI is usually communicated to the driver through the phone number
; in dialup networking (for wan and atm).  If this flag is set to 1, 
; the phone number is ignored, and the VPI/VCI will give the driver the values
; through the registry.
IgnoreDialupPhoneNumber = 0

; Comma-delimited list of sections that describe a start-menu icon.  
; Each icon will point to a file installed in the program files directory
StartMenuIconSections=StartMenuUserDoc

; Comma-delimited list of ISP sections.  Do not include IspDefault.
IspSections=IspUSRWanA-PPPoA,IspUSRWanA-PPPoE,IspUSRLanA,IspUSRAtmA-PPPoA

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

[StartMenuUserDoc]

; File in ProgramFilesDir to point to
FileName=USB ADSL Modem User Guide.htm

Description=U.S.Robotics ADSL Modem User Guide.htm

; 1 if a shortcut should be created on desktop
ShortcutToDesktop=0


; -------------------------------------------------------------------------
;                              ISP DESCRIPTIONS
; -------------------------------------------------------------------------

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; ; Description of fields:
;;
;; ; DriverLocation points to a directory under PCI or USB.  This must match
;; ; the directory name exactly.
;; ; Default directory names are (under drivers):
;; ; WAN Driver
;; ; ATM Driver
;; ; LAN Driver
;; DriverLocation=WAN Driver
;;
;; ; Default VPI/VCI
;; VPI=0
;; VCI=88
;;
;; ; Layer 3 Protocol
;; ; 1 - RFC 1577 Classical IPoATM (Lan Driver only)
;; ; 2 - RFC 1483 IPoATM Bridged LLC Encapsulation (Lan Driver only)
;; ; 3 - RFC 1483 IPoATM Bridged VC Encapsulation (Lan Driver only)
;; ; 4 - RFC 1483 IPoATM Routed LLC Encapsulation (Lan Driver only)
;; ; 5 - RFC 1483 IPoATM Routed VC Encapsulation (Lan Driver only)
;; ; 6 - RFC 2364 PPPoATM LLC Encapsulation (WAN and ATM Drivers only)
;; ; 7 - RFC 2364 PPPoATM NULL Encapsulation (WAN and ATM Drivers only)
;; ; 8 - RFC 2516 PPPoE Encapsulation (WAN USB Driver only)
;; Layer3Protocol=7
;;
;; ; Modulation
;; ; 0 - T1.413
;; ; 1 - G.Lite
;; ; 2 - G.DMT
;; ; 4 - Multimode
;; Modulation=4
;;
;; ; Enable Automode, 1 is enabled, 0 is disabled.
;; Automode=1
;;
;; ; Displayed in service provider selection drop list
;; Description=U.S.Robotics
;;
;; ; Show a status icon in the system tray (1 shows icon, 0 doesn't)
;; ShowSysTrayIcon=1
;;
;; ; If a file is specified here, it will be executed after the installation
;; ; process finishes.  The file must be located in the ProgramFiles directory
;; ; of the installation media.  If no file is present, nothing will be executed.
;; RunOnExit=myapp.exe
;;
;; ; If 1, a dial-up icon will be created for this ISP.  If 0, no dial-up
;; ; icon will be created.
;; CreateDialup=1
;;
;; ; Name that is shown for the dial-up icon, if created.
;; DialUpName=U.S.Robotics Dial-Up PPP Connection
;; 
;; ; If 1, a shortcut to the dial-up icon will be created on the desktop.
;; ; If 0, no shortcut will be created.
;; CreateDialupShortcut=1
;;
;; ; Specifies an icon for the shorcut to the dial-up networking.  A value
;; ; of -1 specifies the default icon to be used.  Any other value specifies
;; ; an icon located in the language dll.  0 means the first icon in the dll.
;; DialupShortcutIconIndex=-1
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

; The default ISP section is used if the user selects "Not Listed" from ISP
; list
[IspDefault]
DriverLocation=ANNEX-A WAN Driver
VPI=0
VCI=88
Layer3Protocol=7
Modulation=4
Automode=1
Description=U.S.Robotics
CreateDialup=1
ShowSysTrayIcon=1
RunOnExit=installdlg.exe
DialUpName=U.S.Robotics Dial-Up PPP Connection
CreateDialupShortcut=1
DialupShortcutIconIndex=-1

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
[IspAOL]
DriverLocation=ANNEX-A LAN Driver
VPI=0
VCI=88
Layer3Protocol=2
Modulation=4
Automode=1
CreateDialup=1
ShowSysTrayIcon=1
RunOnExit=
Description=America Online (Example)
DialUpName=AOL Dial-Up PPP Connection
CreateDialupShortcut=1
DialupShortcutIconIndex=-1

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
[IspBellAtlantic]
DriverLocation=ANNEX-A WAN Driver
VPI=0
VCI=88
Layer3Protocol=7
Modulation=4
Automode=1
CreateDialup=1
ShowSysTrayIcon=1
RunOnExit=
Description=Bell Atlantic (Example)
DialUpName=Bell Atlantic Dial-Up PPP Connection
CreateDialupShortcut=1
DialupShortcutIconIndex=-1

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
[IspUSRWanA-PPPoA]
DriverLocation=ANNEX-A WAN Driver
VPI=0
VCI=88
Layer3Protocol=7
Modulation=4
Automode=1
Description=U.S.Robotics WAN-PPPoA (RFC2364)
CreateDialup=1
ShowSysTrayIcon=1
RunOnExit=installdlg.exe
DialUpName=U.S.Robotics Dial-Up PPP Connection
CreateDialupShortcut=1
DialupShortcutIconIndex=-1

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
[IspUSRWanA-PPPoE]
DriverLocation=ANNEX-A WAN Driver
VPI=0
VCI=35
Layer3Protocol=8
Modulation=4
Automode=1
Description=U.S.Robotics WAN-PPPoE (RFC2516) 
CreateDialup=1
ShowSysTrayIcon=1
RunOnExit=installdlg.exe
DialUpName=U.S.Robotics Dial-Up PPP Connection
CreateDialupShortcut=1
DialupShortcutIconIndex=-1

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
[IspUSRLanA]
DriverLocation=ANNEX-A LAN Driver
VPI=0
VCI=35
Layer3Protocol=2
Modulation=4
Automode=1
Description=U.S.Robotics LAN (RFC1483)
CreateDialup=0
ShowSysTrayIcon=1
RunOnExit=installdlg.exe
DialUpName=U.S.Robotics Dial-Up PPP Connection
CreateDialupShortcut=1
DialupShortcutIconIndex=-1

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
[IspUSRAtmA-PPPoA]
DriverLocation=ANNEX-A ATM Driver
VPI=0
VCI=88
Layer3Protocol=7
Modulation=4
Automode=1
Description=U.S.Robotics ATM-PPPoA (RFC2364)
CreateDialup=1
ShowSysTrayIcon=1
RunOnExit=installdlg.exe
DialUpName=U.S.Robotics Dial-Up PPP Connection
CreateDialupShortcut=1
DialupShortcutIconIndex=-1

